<?php
namespace mfmdevsystem\socket;

/**
 * The version of socket being used
 * @var string
 */
const VERSION = 'mfmdevsystem/socket/0.4.9';

/**
 * A proxy object representing a connection to the application
 * This acts as a container to store data (in memory) about the connection
 */
interface ConnectionInterface {
    /**
     * Send data to the connection
     * @param  string $data
     * @return \Ratchet\ConnectionInterface
     */
    function send($data);

    /**
     * Close the connection
     */
    function close();
}
